Nowe posty

Autor Wątek: Co jest grane? tar i mc  (Przeczytany 176 razy)

Baranek

  • Gość
Co jest grane? tar i mc
« dnia: 2006-07-23, 17:49:49 »
Moj problem wiaze sie z tym iz zlecilem  yumowi aktualizacje  systemu
(yum update)  po problemach ze niemogl odnalesc niektorych rpm na mirrorach
wreszcie  skompletowal ..ale bez paczki openoffice...
niewiedzac jak kazac mu zaladowac to co sciagnal i zaktualizowac  recznie
wsadzilem pare pakietow za pomoca komedy rpm -ivh...

Problem sie zaczal kiedy  zaladowalem rpm z pythonem
 python-numeric -23.7-2..i386
 przeladowalem komputer ktory  niezglasz do tego momentu zadnego  klopotu...i  chcialem odpalic yuma zeby znowu sprubowal sciagnac  do konca
 i dostalem taki komunikat

[root@localhost ~]# yum update
\\'import site\\' failed; use -v for traceback
Setting up Update Process
Setting up repositories
Traceback (most recent call last):
  File \\"/usr/bin/yum\\", line 29, in ?
    yummain.main(sys.argv[1:])
  File \\"/usr/share/yum-cli/yummain.py\\", line 92, in main
    result, resultmsgs = do()
  File \\"/usr/share/yum-cli/cli.py\\", line 471, in doCommands
    return self.updatePkgs()
  File \\"/usr/share/yum-cli/cli.py\\", line 949, in updatePkgs
    self.doRepoSetup()
  File \\"/usr/share/yum-cli/cli.py\\", line 71, in doRepoSetup
    yum.YumBase.doRepoSetup(self, thisrepo=thisrepo)
  File \\"__init__.py\\", line 225, in doRepoSetup
  File \\"repos.py\\", line 533, in baseurlSetup
  File \\"repos.py\\", line 836, in getMirrorList
  File \\"/usr/lib/python2.4/site-packages/urlgrabber/grabber.py\\", line 444, in urlopen
    return default_grabber.urlopen(url, **kwargs)
  File \\"/usr/lib/python2.4/site-packages/urlgrabber/grabber.py\\", line 575, in urlopen
    return self._retry(opts, retryfunc, url)
  File \\"/usr/lib/python2.4/site-packages/urlgrabber/grabber.py\\", line 547, in _retry
    return apply(func, (opts,) + args, {})
  File \\"/usr/lib/python2.4/site-packages/urlgrabber/grabber.py\\", line 574, in retryfunc
    return URLGrabberFileObject(url, filename=None, opts=opts)
  File \\"/usr/lib/python2.4/site-packages/urlgrabber/grabber.py\\", line 727, in __init__
    self._do_open()
  File \\"/usr/lib/python2.4/site-packages/urlgrabber/grabber.py\\", line 794, in _do_open
    fo, hdr = self._make_request(req, opener)
  File \\"/usr/lib/python2.4/site-packages/urlgrabber/grabber.py\\", line 885, in _make_request
    fo = opener.open(req)
  File \\"/usr/lib/python2.4/urllib2.py\\", line 358, in open
    response = self._open(req, data)
  File \\"/usr/lib/python2.4/urllib2.py\\", line 376, in _open
    \\'_open\\', req)
  File \\"/usr/lib/python2.4/urllib2.py\\", line 337, in _call_chain
    result = func(*args)
  File \\"/usr/lib/python2.4/site-packages/urlgrabber/keepalive.py\\", line 213, in http_open
    return self.do_open(HTTPConnection, req)
  File \\"/usr/lib/python2.4/site-packages/urlgrabber/keepalive.py\\", line 240, in do_open
    self._start_transaction(h, req)
  File \\"/usr/lib/python2.4/site-packages/urlgrabber/keepalive.py\\", line 315, in _start_transaction
    h.putrequest(\\'GET\\', req.get_selector())
  File \\"/usr/lib/python2.4/httplib.py\\", line 748, in putrequest
    self.putheader(\\'Host\\', self.host.encode(\\"idna\\"))
LookupError: no codec search functions registered: can\\'t find encoding

Pytanie...co zrobilem zle i jak to  naprawic?
i jak   kazac yumowi  zeby  zaktualizowal jak juz  posciagal?

Baranek

  • Gość
Co jest grane? tar i mc
« Odpowiedź #1 dnia: 2006-07-23, 17:59:59 »
dodam tylko ze jak  probowalem zaladowac pythona....  to dostalem bardzo dluga liste  bledow w tym typie..
 plik /usr/lib/python2.4/xml/sax/__init__.pyc z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/__init__.pyo z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/_exceptions.pyc z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/_exceptions.pyo z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/expatreader.pyc z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/expatreader.pyo z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/handler.py z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/handler.pyc z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/handler.pyo z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/saxutils.pyc z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/saxutils.pyo z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/xmlreader.pyc z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xml/sax/xmlreader.pyo z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xmllib.pyc z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xmllib.pyo z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xmlrpclib.py z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xmlrpclib.pyc z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/xmlrpclib.pyo z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/zipfile.pyc z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/lib/python2.4/zipfile.pyo z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2
        plik /usr/share/man/man1/python.1.gz z instalacji python-2.4.3-8.FC4 jest w konflikcie z plikiem z pakietu python-2.4.1-2

jankiewicz

  • Gość
Co jest grane? tar i mc
« Odpowiedź #2 dnia: 2006-07-23, 12:21:33 »
Witam,

Nie potrafię tego logicznie wytłumaczyć:

W katalogu /var/www/ mam plik backup.sh:

tar -czf html.tar.gz html

1. Gdy jestem w nc i uruchmię backup.sh w pliku html.tar.gz brakuje 2 plików z drzewa /html.

2. Gdy wydam polecenie tar -czf html.tar.gz html z konsoli w pliku html.tar.gz są wszystkie pliki.

O co tu chodzi?

Krzysiek